Ask Your Question
2

ImportError: No module named oslo_concurrency

asked 2014-12-05 01:30:20 -0500

Pradip gravatar image

Hello,

I am just trying to restack a devstack. And seeing this error message (tried a couple of times to unstack and stack):

2014-12-05 07:13:54.646 | + /usr/local/bin/ceilometer-dbsync
2014-12-05 07:13:55.415 | Traceback (most recent call last):
2014-12-05 07:13:55.416 | File "/usr/local/bin/ceilometer-dbsync", line 6, in <module>
2014-12-05 07:13:55.416 | from ceilometer.cmd.storage import dbsync
2014-12-05 07:13:55.416 | File "/opt/stack/ceilometer/ceilometer/cmd/storage.py", line 21, in <module>
2014-12-05 07:13:55.416 | from ceilometer import service
2014-12-05 07:13:55.416 | File "/opt/stack/ceilometer/ceilometer/service.py", line 29, in <module>
2014-12-05 07:13:55.416 | from ceilometer import utils
2014-12-05 07:13:55.416 | File "/opt/stack/ceilometer/ceilometer/utils.py", line 33, in <module>
2014-12-05 07:13:55.416 | from oslo_concurrency import processutils
2014-12-05 07:13:55.416 | ImportError: No module named oslo_concurrency
2014-12-05 07:13:55.458 | + exit_trap

Any clue how to covercome this?

edit retag flag offensive close merge delete

Comments

Try to install :-

apt-get install python-oslo-concurrency

and rerun

dbaxps gravatar imagedbaxps ( 2014-12-05 02:33:03 -0500 )edit

Per http://docs.openstack.org/developer/o...

$ pip install oslo.concurrency
dbaxps gravatar imagedbaxps ( 2014-12-05 03:02:54 -0500 )edit

pip install oslo.concurrency Requirement already satisfied (use --upgrade to upgrade): oslo.concurrency in /usr/local/lib/python2.7/dist-packages Cleaning up...

sudo apt-get install python-oslo.concurrency E: Unable to locate package python-oslo.concurrency

Am I missing anything?

Pradip gravatar imagePradip ( 2014-12-05 04:07:10 -0500 )edit

Tried both the things. But pip is saying it is already installed!

Pradip gravatar imagePradip ( 2014-12-05 04:08:50 -0500 )edit

Try :-

sudo apt-get install python-oslo-concurrency
dbaxps gravatar imagedbaxps ( 2014-12-05 04:29:48 -0500 )edit

1 answer

Sort by ยป oldest newest most voted
2

answered 2014-12-05 14:37:35 -0500

dbaxps gravatar image

Workaround

ubuntu@ubuntursx0512:~$ sudo apt-get install python-pip python-dev -y

Install oslo.concurrency

ubuntu@ubuntursx0512:~$ sudo pip install oslo.concurrency
sudo: unable to resolve host ubuntursx0512
Downloading/unpacking oslo.concurrency
  Downloading oslo.concurrency-0.3.0-py2.py3-none-any.whl
Downloading/unpacking iso8601>=0.1.9 (from oslo.concurrency)
  Downloading iso8601-0.1.10.tar.gz
  Running setup.py (path:/tmp/pip_build_root/iso8601/setup.py) egg_info for package iso8601

Downloading/unpacking fixtures>=0.3.14 (from oslo.concurrency)
  Downloading fixtures-1.0.0.tar.gz (43kB): 43kB downloaded
  Running setup.py (path:/tmp/pip_build_root/fixtures/setup.py) egg_info for package fixtures

    Installed /tmp/pip_build_root/fixtures/pbr-0.10.0-py2.7.egg
    [pbr] Processing SOURCES.txt
    warning: LocalManifestMaker: standard file '-c' not found

    warning: no previously-included files found matching '.gitignore'
    warning: no previously-included files found matching '.gitreview'
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
Downloading/unpacking Babel>=1.3 (from oslo.concurrency)
  Downloading Babel-1.3.tar.gz (3.4MB): 3.4MB downloaded
  Running setup.py (path:/tmp/pip_build_root/Babel/setup.py) egg_info for package Babel

    warning: no previously-included files matching '*' found under directory 'docs/_build'
    warning: no previously-included files matching '*.pyc' found under directory 'tests'
    warning: no previously-included files matching '*.pyo' found under directory 'tests'
Downloading/unpacking retrying>=1.2.2,!=1.3.0 (from oslo.concurrency)
  Downloading retrying-1.3.2.tar.gz
  Running setup.py (path:/tmp/pip_build_root/retrying/setup.py) egg_info for package retrying

Downloading/unpacking posix-ipc (from oslo.concurrency)
  Downloading posix_ipc-0.9.9.tar.gz (75kB): 75kB downloaded
  Running setup.py (path:/tmp/pip_build_root/posix-ipc/setup.py) egg_info for package posix-ipc

Downloading/unpacking six>=1.7.0 (from oslo.concurrency)
  Downloading six-1.8.0-py2.py3-none-any.whl
Downloading/unpacking oslo.config>=1.4.0 (from oslo.concurrency)
  Downloading oslo.config-1.5.0-py2.py3-none-any.whl
Downloading/unpacking oslo.i18n>=1.0.0 (from oslo.concurrency)
  Downloading oslo.i18n-1.1.0-py2.py3-none-any.whl
Downloading/unpacking pbr>=0.6,!=0.7,<1.0 (from oslo.concurrency)
  Downloading pbr-0.10.0-py2.py3-none-any.whl (63kB): 63kB downloaded
Downloading/unpacking oslo.utils>=1.0.0 (from oslo.concurrency)
  Downloading oslo.utils-1.1.0-py2.py3-none-any.whl
Downloading/unpacking testtools>=0.9.22 (from fixtures>=0.3.14->oslo.concurrency)
  Downloading testtools-1.5.0-py2.py3-none-any.whl (163kB): 163kB downloaded
Downloading/unpacking pytz>=0a (from Babel>=1.3->oslo.concurrency)
  Downloading pytz-2014.10-py2.py3-none-any.whl (477kB): 477kB downloaded
Downloading/unpacking netaddr>=0.7.12 (from oslo.config>=1.4.0->oslo.concurrency)
  Downloading netaddr-0.7.12.tar.gz (1.5MB): 1.5MB downloaded
  Running setup.py (path:/tmp/pip_build_root/netaddr/setup.py) egg_info for package netaddr

    warning: no previously-included files matching '*.svn*' found anywhere in distribution
    warning: no previously-included files matching '*.git*' found anywhere in distribution
Downloading/unpacking stevedore>=1.1.0 (from oslo.config>=1.4.0->oslo.concurrency)
  Downloading stevedore-1.1.0-py2.py3-none-any.whl
Requirement already satisfied (use --upgrade to upgrade): argparse in /usr/lib/python2.7 (from oslo.config>=1.4.0->oslo.concurrency)
Requirement already satisfied (use --upgrade to upgrade): pip in /usr/lib/python2.7/dist-packages (from ...
(more)
edit flag offensive delete link more

Comments

After doing this,I am seeing this vague error :( cp: cannot stat '/opt/stack/heat/etc/heat/heat.conf.sample': No such file or directory

Pradip gravatar imagePradip ( 2014-12-05 23:03:37 -0500 )edit

I had another old copy of the heat.conf.sample. Copied it and it worked. Oslo depedency also resolved. Thanks.

Pradip gravatar imagePradip ( 2014-12-05 23:15:55 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2014-12-05 01:30:20 -0500

Seen: 6,166 times

Last updated: Dec 05 '14